Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## turtlekit.kernel
Class TurtleProbe

    java.lang.Object
      madkit.kernel.Probe
          turtlekit.kernel.TurtleProbe

    public class TurtleProbe

extends Probe

The TurtleProbe class

Version:
  3.0 09/10/2001
Author:
  Fabien MICHEL

Constructor Summary
`TurtleProbe(java.lang.String group, java.lang.String role)` build a turtleProbe on the specified group/role couple

Method Summary
`AbstractAgent` | `getAgentNb(int nb)`
`java.util.ListIterator` | `getAgentsIterator()` return a ListIterator orver the agents that handle the group/role couple
`java.lang.String` | `getCommunity()`
`java.util.List` | `getCurrentAgentsList()` return a list view (a snapshot at moment t) of the agents that handle the group/role couple (in proper sequence)
`java.lang.String` | `getGroup()`
`java.lang.String` | `getRole()`
`java.util.ListIterator` | `getShuffledAgentsIterator()` return a ListIterator that has been previously shuffled
`Turtle[]` | `getTurtles()`
`int` | `nbOfTurtles()`
`int` | `numberOfAgents()` return the number of the agents that handle the group/role couple
`java.lang.String` | `toString()`

Methods inherited from class madkit.kernel.Probe
`initialize, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TurtleProbe

    public TurtleProbe(java.lang.String group,
                       java.lang.String role)

  build a turtleProbe on the specified group/role couple

Method Detail

### getTurtles

    public Turtle[] getTurtles()

  Returns:
    an array of the turtles that handle the group/role couple

### nbOfTurtles

    public int nbOfTurtles()

  Returns:
    the number of turles that handle the group/role couple

### getAgentsIterator

    public final java.util.ListIterator getAgentsIterator()

  return a ListIterator orver the agents that handle the group/role couple

  Since:
    MadKit 3.0

### getShuffledAgentsIterator

    public final java.util.ListIterator getShuffledAgentsIterator()

  return a ListIterator that has been previously shuffled

  Since:
    MadKit 3.0

### getCurrentAgentsList

    public final java.util.List getCurrentAgentsList()

  return a list view (a snapshot at moment t) of the agents that handle the group/role couple (in proper sequence)

  Since:
    MadKit 3.0

### numberOfAgents

    public final int numberOfAgents()

  return the number of the agents that handle the group/role couple

### getAgentNb

    public final AbstractAgent getAgentNb(int nb)

### getCommunity

    public final java.lang.String getCommunity()

### getGroup

    public final java.lang.String getGroup()

### getRole

    public final java.lang.String getRole()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.